//+------------------------------------------------------------------+
//|                                       SELECT_ORDER_to_Modify.mq4 |
//|                          Copyright 2015, Tradexperts.ru StatBars |
//|                                            http://tradexperts.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Tradexperts.ru StatBars"
#property link      "http://tradexperts.ru"
#property version   "1.00"
#property strict
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
{
//---
   double dropped_price = ChartPriceOnDropped();
   int ticket = -1;
   double Diff = 99999;
   for( int i = OrdersTotal()-1; i >= 0; i--)
   {  
      OrderSelect( i, SELECT_BY_POS);
      if( OrderSymbol() == Symbol() )
      {
         if( MathAbs( dropped_price - OrderOpenPrice()) < Diff )
         {
            ticket = OrderTicket();
            Diff = MathAbs( dropped_price - OrderOpenPrice());
         }
      }
   }
   
   if( ticket == -1 )
   {
      Comment("  !");
      return;
   }
   
   if( OrderTicket() != ticket) OrderSelect( ticket, SELECT_BY_TICKET);
   
   GlobalVariableSet( "SELECTED_ORDER_TICKET", ticket);
   Comment( "    :"+IntegerToString(ticket));
}
//+------------------------------------------------------------------+
