//+------------------------------------------------------------------+
//|                                             TakeProfit_SETUP.mq4 |
//|                          Copyright 2015, Tradexperts.ru StatBars |
//|                                            http://tradexperts.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright 2015, Tradexperts.ru StatBars"
#property link      "http://tradexperts.ru"
#property version   "1.00"
#property strict
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
{
//---
   double dropped_price = ChartPriceOnDropped();
   bool status;
   if( GlobalVariableCheck("SELECTED_ORDER_TICKET") )
   {
      int ticket = NormalizeDouble( GlobalVariableGet("SELECTED_ORDER_TICKET"), 0);
      OrderSelect( ticket, SELECT_BY_TICKET);
      if( OrderSymbol() == Symbol() ) 
      {
         if( OrderType() == OP_SELL || OrderType() == OP_SELLLIMIT || OrderType() == OP_SELLSTOP )
         {
            if( OrderOpenPrice() < dropped_price )
            {
               status = OrderModify( OrderTicket(), OrderOpenPrice(), dropped_price, OrderTakeProfit(), OrderExpiration(), clrLime);
               if( status )
               {
                  Comment("  ");
                  GlobalVariableDel("SELECTED_ORDER_TICKET");
               }
               else
               {
                  Comment("  -"+IntegerToString( GetLastError()));
                  return;
               }
            }
            else
            {
               Comment( "    ");
               return;
            }
         }
         else
         if( OrderType() == OP_BUY || OrderType() == OP_BUYLIMIT || OrderType() == OP_BUYSTOP )
         {
            if( OrderOpenPrice() > dropped_price )
            {
               status = OrderModify( OrderTicket(), OrderOpenPrice(), dropped_price, OrderTakeProfit(), OrderExpiration(), clrLime);
               if( status )
               {
                  Comment("  ");
                  GlobalVariableDel("SELECTED_ORDER_TICKET");
               }
               else
               {
                  Comment("  -"+IntegerToString( GetLastError()));
                  return;
               }
            }
            else
            {
               Comment( "    ");
               return;
            }
         }
      }
   }
   else 
   {
      Comment( "  ,   !");
      return;
   }
}
//+------------------------------------------------------------------+
